package com.cloudcross.ssp.back.model;


import java.util.Date;


import com.cloudcross.ssp.web.widget.SelectorController.ISelector;

/**
 * 广告位信息实体表
 * @author chenyou
 *
 */
public class Zone implements ISelector{
	
	//主键
	private Long id;
	//运营商id
	private Long operatorId;
	//广告位名称
	private String name;
	//广告位宽度
	private Long width;
	//广告位高度
	private Long height;
	//类型（1-网页，2-APP）
	private Integer device;
	//位置（1-认证，2-条状，3-上网过程）
	private Integer position;
	//垫底广告素材地址
	private String defaultPath;
	//垫底广告URL
	private String defaultUrl;
	//素材是否要再审核
	private Integer reCheck;
	//状态（0-开启，1-暂停，-1-删除）
	private Integer status;
	//更新时间
	private Date updated;
	//新增/width/height/device/position/default_path/default_url/recheck/status/上级status更新时间
	private Date supdated;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Long operatorId) {
		this.operatorId = operatorId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getWidth() {
		return width;
	}

	public void setWidth(Long width) {
		this.width = width;
	}

	public Long getHeight() {
		return height;
	}

	public void setHeight(Long height) {
		this.height = height;
	}

	public Integer getDevice() {
		return device;
	}

	public void setDevice(Integer device) {
		this.device = device;
	}

	public Integer getPosition() {
		return position;
	}

	public void setPosition(Integer position) {
		this.position = position;
	}

	public String getDefaultPath() {
		return defaultPath;
	}

	public void setDefaultPath(String defaultPath) {
		this.defaultPath = defaultPath;
	}

	public String getDefaultUrl() {
		return defaultUrl;
	}

	public void setDefaultUrl(String defaultUrl) {
		this.defaultUrl = defaultUrl;
	}

	public Integer getReCheck() {
		return reCheck;
	}

	public void setReCheck(Integer reCheck) {
		this.reCheck = reCheck;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getUpdated() {
		return updated;
	}

	public void setUpdated(Date updated) {
		this.updated = updated;
	}

	public Date getSupdated() {
		return supdated;
	}

	public void setSupdated(Date supdated) {
		this.supdated = supdated;
	}

	@Override
	public String getLabel() {
		return this.name;
	}

	@Override
	public String getValue() {
		return String.valueOf(this.id);
	}

	@Override
	public String toString() {
		return "Zone [id=" + id + ", operatorId=" + operatorId + ", name="
				+ name + ", width=" + width + ", height=" + height
				+ ", device=" + device + ", position=" + position
				+ ", defaultPath=" + defaultPath + ", defaultUrl=" + defaultUrl
				+ ", reCheck=" + reCheck + ", status=" + status + ", updated="
				+ updated + ", supdated=" + supdated + "]";
	}
	
	
	
}
